<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Best_Charity
 */

get_header();
?>

<section class="blog-block">
	<div class="container">
		<?php if(get_theme_mod('best_charity_blog_archive_layout_settings') == 'layout-1'):?>
			<div class="row">
				<div class="col-xl-9 col-lg-8">
					<?php
					if ( have_posts() ) :

						if ( is_home() && ! is_front_page() ) :
							?>
						<header>
							<h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
						</header>
						<?php
					endif;

					/* Start the Loop */
					while ( have_posts() ) :
						the_post();

				/*
				 * Include the Post-Type-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
				 */
				get_template_part( 'template-parts/content', get_post_type() );
			endwhile;
			the_posts_navigation();
		else :
			get_template_part( 'template-parts/content', 'none' );
		endif;
		?>
	</div>
	<div class="col-xl-3 col-lg-4">
		<div class="sidebar">
			<?php get_sidebar();?>
		</div>
	</div>
</div>
<?php elseif(get_theme_mod('best_charity_blog_archive_layout_settings') == 'layout-2'):?>
	<div class="card-blog">
		<div class="row">
			<?php
			if ( have_posts() ) :

				if ( is_home() && ! is_front_page() ) :
					?>
				<header>
					<h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
				</header>
				<?php
			endif;

			/* Start the Loop */
			while ( have_posts() ) :
				the_post();

				/*
				 * Include the Post-Type-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
				 */
				get_template_part( 'template-parts/content', '1' );
			endwhile;
			the_posts_navigation();
		else :
			get_template_part( 'template-parts/content', 'none' );
		endif;
		?>

		<nav class="pagination-block">
			<?php best_charity_portfolio_bs_pagination();?>
		</nav>
	</div>
</div>
<?php elseif(get_theme_mod('best_charity_blog_archive_layout_settings') == 'layout-3'):?>
	<div class="media-blog">
		<div class="row">
			<div class="col-xl-9">

				<?php
				if ( have_posts() ) :

					if ( is_home() && ! is_front_page() ) :
						?>
					<header>
						<h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
					</header>
					<?php
				endif;

				/* Start the Loop */
				while ( have_posts() ) :
					the_post();

				/*
				 * Include the Post-Type-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
				 */
				get_template_part( 'template-parts/content', '2' );
			endwhile;
			the_posts_navigation();
		else :
			get_template_part( 'template-parts/content', 'none' );
		endif;
		?>

		<nav class="pagination-block">
			<?php best_charity_portfolio_bs_pagination();?>
		</nav>
	</div>

	<div class="col-xl-3 col-lg-4">
		<div class="sidebar">
			<?php get_sidebar();?>
		</div>
	</div>
</div>
</div>
<?php else:?>
	<div class="row">
		<div class="col-xl-9 col-lg-8">
			<?php
			if ( have_posts() ) :

				if ( is_home() && ! is_front_page() ) :
					?>
				<header>
					<h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
				</header>
				<?php
			endif;

			/* Start the Loop */
			while ( have_posts() ) :
				the_post();

				/*
				 * Include the Post-Type-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
				 */
				get_template_part( 'template-parts/content', get_post_type() );
			endwhile;
			the_posts_navigation();
		else :
			get_template_part( 'template-parts/content', 'none' );
		endif;
		?>
		<nav class="pagination-block">
			<?php best_charity_portfolio_bs_pagination();?>
		</nav>
	</div>
	<div class="col-xl-3 col-lg-4">
		<div class="sidebar">
			<?php get_sidebar();?>
		</div>
	</div>
</div>
<?php endif;?>	
</div>
</section>

<?php
get_footer();
?>