<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Best_Charity
 */

?>
<footer>
  <?php if(get_theme_mod('best_charity_footer_top_enable')):?>
    <div class="container">
      <div class="row">
        <?php if ( is_active_sidebar( 'footer-1' ) ) { ?>
          <?php dynamic_sidebar( 'footer-1' );?>
        <?php } ?>
      </div>
    </div>
  <?php endif;?>
  <div class="copyright">
    <div class="container">
      <?php if(get_theme_mod('best_charity_footer_copyright_text')):?>
        <span><?php echo esc_html(get_theme_mod('best_charity_footer_copyright_text'));?></span>
        <?php else:?>
          <span><?php esc_html_e('&copy; All Right Reserved ','best-charity');  echo  esc_html(date('Y'));?></span>
        <?php endif;?>
        <span><?php bloginfo( 'title' );?></span>
      </div>
    </div>
  </footer>
</div>

<?php wp_footer(); ?>

</body>
</html>
