<?php

/**
 * Best Charity Blog Settings panel at Theme Customizer
 *
 * @package Best_Charity
 * @since 1.0.0
 */
add_action( 'customize_register', 'best_charity_blog_settings_register' );

function best_charity_blog_settings_register( $wp_customize ) {

/**
 * Add Blog Settings Panel
 *
 * @since 1.0.0
 */
$wp_customize->add_panel(
    'best_charity_blog_settings_panel',
    array(
        'priority'       => 15,
        'capability'     => 'edit_theme_options',
        'theme_supports' => '',
        'title'          => __( 'Blog Settings', 'best-charity' ),
    )
);


/*----------------------------------------------------------------------------------------------------------------------------------------*/
/**
 * Blog Archive Section
 *
 * @since 1.0.0
 */
$wp_customize->add_section(
    'best_charity_blog_archive_options_section',
    array(
        'priority'       => 1,
        'panel'          => 'best_charity_blog_settings_panel',
        'capability'     => 'edit_theme_options',
        'theme_supports' => '',
        'title'          => __( 'Blog Archive', 'best-charity' ),
        'description'    => __( 'Choose the Blog Archive options to display at Blog Archive section', 'best-charity' ),
    )
);


$wp_customize->add_setting('best_charity_blog_archive_layout_settings', 
    array(
        'sanitize_callback' => 'best_charity_sanitize_select',
        'default'           => 'layout-1'
    )
);

$wp_customize->add_control('best_charity_blog_archive_layout_settings', 
    array(
        'label'             => __( 'Blog Archive layouts', 'best-charity' ),
        'description'       => esc_html__( 'Best Charity Blog Archive Layout settings', 'best-charity' ),
        'section'           => 'best_charity_blog_archive_options_section',
        'type'              => 'radio',
        'choices'           => array(
            'layout-1'         => esc_html__('Layout 1','best-charity'),
            'layout-2'         => esc_html__('Layout 2','best-charity'),
            'layout-3'         => esc_html__('Layout 3','best-charity'),
        ),
        'settings'          => 'best_charity_blog_archive_layout_settings'
    ) 
);


/*----------------------------------------------------------------------------------------------------------------------------------------*/
/**
 * Blog Single Section
 *
 * @since 1.0.0
 */
$wp_customize->add_section(
    'best_charity_blog_single_options_section',
    array(
        'priority'       => 2,
        'panel'          => 'best_charity_blog_settings_panel',
        'capability'     => 'edit_theme_options',
        'theme_supports' => '',
        'title'          => __( 'Blog Single', 'best-charity' ),
        'description'    => __( 'Choose the Blog Single options to display at Blog Single section', 'best-charity' ),
    )
);


$wp_customize->add_setting('best_charity_blog_single_layout_settings', 
    array(
        'sanitize_callback' => 'best_charity_sanitize_select',
        'default'           => 'right'
    )
);

$wp_customize->add_control('best_charity_blog_single_layout_settings', 
    array(
        'label'             => __( 'Blog Single layouts', 'best-charity' ),
        'description'       => esc_html__( 'Best Charity Blog Single Layout settings', 'best-charity' ),
        'section'           => 'best_charity_blog_single_options_section',
        'type'              => 'radio',
        'choices'           => array(
         'right'         => esc_html__('Right Sidebar','best-charity'),
         'left'         => esc_html__('Left Sidebar','best-charity'),
         'none'         => esc_html__('None','best-charity'),
     ),
        'settings'          => 'best_charity_blog_single_layout_settings'
    ) 
);
}