<?php
/**
 * Best Charity Footer Settings panel at Theme Customizer
 *
 * @package Best_Charity
 * @since 1.0.0
 */

add_action( 'customize_register', 'best_charity_footer_settings_register' );

function best_charity_footer_settings_register( $wp_customize ) {

	/**
     * Add Footer Settings Panel
     *
     * @since 1.0.0
     */
  $wp_customize->add_panel(
   'best_charity_footer_settings_panel',
   array(
     'priority'       => 30,
     'capability'     => 'edit_theme_options',
     'theme_supports' => '',
     'title'          => __( 'Footer Settings', 'best-charity' ),
   )
 );




  /*----------------------------------------------------------------------------------------------------------------------------------------*/
  /**
     * Footer Top section
     *
     * @since 1.0.0
     */
  $wp_customize->add_section(
    'best_charity_footer_top_section',
    array(
      'priority'       => 2,
      'panel'          => 'best_charity_footer_settings_panel',
      'capability'     => 'edit_theme_options',
      'theme_supports' => '',
      'title'          => __( 'Footer Top Section', 'best-charity' ),
      'description'    => __( 'Managed the content display at Footer Top section.', 'best-charity' ),
    )
  );

/**
 * Enable/Disable for footer top
 *
 * @since 1.0.0
 */
$wp_customize->add_setting(
  'best_charity_footer_top_enable',
  array(
    'default'           => 0,
    'sanitize_callback' => 'best_charity_sanitize_checkbox',
  )
);

$wp_customize->add_control(
  'best_charity_footer_top_enable',
  array(
    'section'     => 'best_charity_footer_top_section',
    'label'       => __( 'Enable/Disable Top Footer Section', 'best-charity' ),
    'type'        => 'checkbox'
  )       
);
class Widget_Page_link extends WP_Customize_Control {
  public $type = 'customtext';
    public $extra = ''; // we add this for the extra description
    public function render_content() {
      ?>
      <label>            
        <a href="<?php echo esc_url( 'widgets.php' ); ?>" target='_blank'><?php echo esc_html( $this->label ); ?></a>
        <span><?php echo esc_html( $this->extra ); ?></span>         
      </label>
      <?php
    }
  }
  $wp_customize->add_setting('best_charitygo_to_widget', array(
    'default' => '',
    'type' => 'customtext',
    'capability' => 'edit_theme_options',
    'transport' => 'refresh',
    'sanitize_callback' => 'sanitize_text_field',
  ) );
  $wp_customize->add_control( new Widget_Page_link( $wp_customize, 'best_charitygo_to_widget', array(
    'label' => esc_attr__( 'Go to Widgets Page', 'best-charity' ),
    'section' => 'best_charity_footer_top_section',
    'settings' => 'best_charitygo_to_widget',
    'extra' => esc_attr__( 'click here', 'best-charity' )
  ) ) 
);


  /*----------------------------------------------------------------------------------------------------------------------------------------*/
  /**
     * Footer Bottom section
     *
     * @since 1.0.0
     */
  $wp_customize->add_section(
    'best_charity_footer_bottom_section',
    array(
      'priority'       => 3,
      'panel'          => 'best_charity_footer_settings_panel',
      'capability'     => 'edit_theme_options',
      'theme_supports' => '',
      'title'          => __( 'Footer Bottom Section', 'best-charity' ),
      'description'    => __( 'Managed the content display at Footer Bottom section.', 'best-charity' ),
    )
  );

  /**Footer Copyright Text */
  $wp_customize->add_setting( 'best_charity_footer_copyright_text', array(
        'capability'            => 'edit_theme_options',
        'default'               => '',
        'sanitize_callback'     => 'sanitize_text_field'
    ) );

    $wp_customize->add_control( 'best_charity_footer_copyright_text', array(
        'label'    => __( 'Footer Copyright text', 'best-charity' ),
        'description'           =>  __( 'Copyright &copy; 2018 MyWordPress Themes, Inc. All rights reserved.', 'best-charity' ),
        'section'               => 'best_charity_footer_bottom_section',
        'type'                  => 'text',
        'settings' => 'best_charity_footer_copyright_text',
    ) );

}