<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Best_Charity
 */

?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="d-blog-holder">
		<div class="d-img">
			<?php the_post_thumbnail(); ?>
		</div>
		<div class="card-footer">
			<span class="date"><i class="fa fa-clock-o" aria-hidden="true"></i><?php best_charity_posted_on();?></span>
			<span class="author"><i class="fa fa-user-o" aria-hidden="true"></i><?php best_charity_posted_by();?></span>
			<span class="cmnt"><i class="fa fa-comment-o" aria-hidden="true"></i><?php echo esc_html( get_comments_number() );?> <?php esc_html_e( 'Comments', 'best-charity' );?></span>
		</div>
		<h2 class="d-title"><a href="<?php the_permalink();?>"><?php the_title();?></a></h2>

		<?php the_content();?>	

		<div class="tag-slinks">
			<ul class="tags">
				<?php
				$tags = get_tags(array(
					'hide_empty' => false
				));?>
				<?php
				foreach ($tags as $tag) {?>
					<li><a href="#"><?php echo esc_html($tag->name);?></a></li>
				<?php }?>
			</ul>
			<?php echo best_charity_social_sharing_buttons();?>

		</div>
	</div>
	<div class="related-blog">
		<div class="main-title">
			<h2 class="title"><?php esc_html_e( 'You may also like', 'best-charity' );?></h2>
		</div>
		<div class="row">
			<?php
			if ( function_exists( 'best_charity_get_related_posts' ) ) {

				$related_posts = best_charity_get_related_posts( 'category', array( 'posts_per_page' => 3) );
				if ( $related_posts ) {
					foreach ( $related_posts as $post ) {
						setup_postdata( $post );
						?>
						<div class="col-md-4">
							<div class="card s-card">
								<?php
								if (has_post_thumbnail()) {?>
									<div class="img-holder">
										<?php the_post_thumbnail(); ?>
									</div>
								<?php }?>
								<div class="card-body">
									<div class="date">
										<?php best_charity_posted_on();?>
									</div>
									<h6 class="title"><a href="<?php the_permalink();?>"><?php the_title();?></a></h6>
								</div>
							</div>
						</div>
						<?php
					}
					wp_reset_postdata();
				}
			}
			?>
		</div>
	</div>
</article><!-- #post-<?php the_ID(); ?> -->